## indi-spectracyber 1.3+20220129131520

=== debian/changelog ===
indi-spectracyber (1.3+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:59:04 +0000

indi-spectracyber (1.3-2) unstable; urgency=medium

  * upload sources
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Dec 2021 22:30:07 +0100

indi-spectracyber (1.3-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Dec 2021 22:30:07 +0100

## indi-spectracyber 1.3+20220611131927

=== debian/changelog ===
indi-spectracyber (1.3+20220611131927-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:19:41 +0000

## indi-spectracyber 1.3+20221222164952

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_spectracyber C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)
find_package(Nova REQUIRED)

set (SPECTRACYBER_VERSION_MAJOR 1)
set (SPECTRACYBER_VERSION_MINOR 3)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_spectracyber.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_spectracyber.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${NOVA_INCLUDE_DIR}/..)

########### SpectraCyber ###########
set(indispectracyber_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/spectracyber.cpp
   )

include(CMakeCommon)

add_executable(indi_spectracyber ${indispectracyber_SRCS})

target_link_libraries(indi_spectracyber ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})

install(TARGETS indi_spectracyber RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_spectracyber.xml indi_spectracyber_sk.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-spectracyber (1.3+20221222164952-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113032)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:36:40 +0200

indi-spectracyber (1.3+20221222164952-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.3

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 16:51:08 +0000

=== debian/control ===
Source: indi-spectracyber
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libapogee-dev
	, libcfitsio-dev
	, zlib1g-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-spectracyber
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-spectracyber.git

Package: indi-spectracyber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for hydrogen line spectrometer
 This package contains the INDI driver for Radio Astronomy Supplies
 SpectraCyber hydrogen line spectrometer.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
